Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Decisions

client.admin.organization.usage.decisions(query, options?): UsageDecisionsResponse { data, has_more, next_page, object }
GET
/organization/usage/decisions

Get Decisions API usage details for the organization.

Parameters
query: UsageDecisionsParams { start_time, api_key_ids, batch, 8 more }
start_time: number

Start time (Unix seconds) of the query time range, inclusive.

api_key_ids?: Array<string> | null

Return only usage for these API keys.

batch?: boolean | null

If true, return batch jobs only. If false, return non-batch jobs only. By default, return both.

bucket_width?: "1m" | "1h" | "1d" | null

Width of each time bucket in response. Currently 1m, 1h and 1d are supported, default to 1d.

end_time?: number | null

End time (Unix seconds) of the query time range, exclusive.

group_by?: Array<"project_id" | "user_id" | "api_key_id" | 4 more> | null

Group the usage data by the specified fields. Support fields include project_id, user_id, api_key_id, model, batch, service_tier, api_source or any combination of them. When grouped by api_source, results use agents_api for attributed Agents API activity and unlabeled for all other activity. Without source grouping, api_source is null.

limit?: number | null

Specifies the number of buckets to return.

  • bucket_width=1d: default: 7, max: 31
  • bucket_width=1h: default: 24, max: 168
  • bucket_width=1m: default: 60, max: 1440
models?: Array<string> | null

Return only usage for these models.

page?: string | null

A cursor for use in pagination. Corresponding to the next_page field from the previous response.

project_ids?: Array<string> | null

Return only usage for these projects.

user_ids?: Array<string> | null

Return only usage for these users.

Returns
UsageDecisionsResponse { data, has_more, next_page, object }
data: Array<Data>
has_more: boolean
next_page: string | null
object: "page"

Decisions

import OpenAI from 'openai';

const client = new OpenAI({
  adminAPIKey: process.env['OPENAI_ADMIN_KEY'], // This is the default and can be omitted
});

const response = await client.admin.organization.usage.decisions({ start_time: 0 });

console.log(response.data);
Response example
{
    "object": "page",
    "data": [
        {
            "object": "bucket",
            "start_time": 1790812800,
            "end_time": 1790899200,
            "results": [
                {
                    "object": "organization.usage.decisions.result",
                    "input_tokens": 1000,
                    "input_cached_tokens": 400,
                    "output_tokens": 0,
                    "num_model_requests": 5,
                    "project_id": "proj_example",
                    "model": "gpt-6-luna",
                    "user_id": null,
                    "api_key_id": null,
                    "batch": null,
                    "service_tier": null
                }
            ]
        }
    ],
    "has_more": false,
    "next_page": null
}
Returns Examples
Response example
{
    "object": "page",
    "data": [
        {
            "object": "bucket",
            "start_time": 1790812800,
            "end_time": 1790899200,
            "results": [
                {
                    "object": "organization.usage.decisions.result",
                    "input_tokens": 1000,
                    "input_cached_tokens": 400,
                    "output_tokens": 0,
                    "num_model_requests": 5,
                    "project_id": "proj_example",
                    "model": "gpt-6-luna",
                    "user_id": null,
                    "api_key_id": null,
                    "batch": null,
                    "service_tier": null
                }
            ]
        }
    ],
    "has_more": false,
    "next_page": null
}